# Copyright 2021- Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class ProductPublicCategory(models.Model):
    _inherit = "product.public.category"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    capacite = fields.Integer("Capacité d'accueil")
    nb_nichoirs = fields.Integer("Potentiel d'accueil")
    name_website = fields.Char("Nom à afficher sur le site")

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------
    def update_qty(self):
        for cat in self:
            nb_nichoirs = self.env["nichoirs.stat.year"].read_group(
                [("categ_id", "=", cat.id)],
                ["categ_id", "nichoirs_proprata_qty"],
                ["categ_id"],
                lazy=False,
            )
            cat.nb_nichoirs = nb_nichoirs[0]["nichoirs_proprata_qty"] * cat.capacite

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
